# Organisation

* Le dossier `src` contient le code source du programme
* Le dossier `uml` contient les diagrammes UML en PlantUML et en image PNG
* Le dossier `xsb` contient les cartes XSB d'exemple, prises par défaut par le programme

# Utilisation

## Compilation

On peut compiler ce programme en utilisant par exemple OpenJDK, mais le JDK d'Oracle devrait fonctionner aussi, tant qu'on peut taper les commandes `javac` et `java` sans erreurs. Une compilation à la main est possible, mais on préférera utiliser Maven, un outil pour la gestion et l'automatisation de production des projets logiciels Java.

Pour compiler le projet en exécutant au passage les tests, lancez
```bash
mvn package
```

## Exécution

Pour exécuter la classe `Main` qui lance le programme en **interface graphique** de manière interactive, exécuter
```bash
java -cp target/sokoban-*.jar com.gloo.sokoban.gui.Main
```

Pour exécuter la class `Main` qui lance le programme en **invite de commandes** de manière interactive, exécuter
```bash
java -cp target/sokoban-*.jar com.gloo.sokoban.tui.Main
```

## Docker

Si vous ne souhaitez pas installer Maven sur votre machine mais que vous disposez déjà de Docker, vous pouvez lancer le programme à l'aide de Docker
```bash
docker build -t sokoban:lastest .
docker run -it sokoban:lastest /bin/bash
```
Puis, une fois dans le conteneur Docker,
```bash
cd /usr/src/sokoban
mvn package
java -cp target/sokoban-*.jar com.gloo.sokoban.tui.Main
```

## Interactions

* Il y a différents types de cases : les murs (`#`), le joueur (`@`), les cibles (`.`), les boîtes (`$`), un joueur sur une cible (`+`) ou une boîte sur une cible (`*`)
* Une fois le jeu lancé sur la bonne carte, utilisez `u`, `d`, `l`, `r` pour déplacer le joueur en haut (`up`), en bas (`down`), à gauche (`left`) ou à droite (`right`).
