package com.gloo.sokoban.game;

import com.gloo.sokoban.xsb.File;

public class Game {
    private Player player;

    public Game(String path) {
        this.player = new Player(new File(path));
    }

    // Récupère l'état actuel de la grille sous forme d'un tableau de caractères
    public char[][] getLevel() {
        return player.toCharArray(); // Supposons que Grid ait une méthode toCharArray()
    }

    // Vérifie si le jeu est terminé
    public boolean isOver() {
        return this.player.isGameOver();
    }

    // Joue un mouvement donné
    public void play(Play play) {
        if (play == Play.NONE) {
            return;
        }
        this.player.play(play);
    }

    public void print() {
        this.player.print();
    }
}
