package com.gloo.sokoban.grid;

public class Cell {
    private CellType cellType;

    public Cell(CellType cellType) {
        this.cellType = cellType;
    }

    public CellType getCellType() {
        return this.cellType;
    }

    public boolean canBeVisited() {
        return this.cellType == CellType.EMPTY || this.cellType == CellType.TARGET;
    }

    public boolean hasBox() {
        return this.cellType == CellType.BOX || this.cellType == CellType.BOX_ON_TARGET;
    }

    public void plusPlayer() {
        switch (this.cellType) {
        case EMPTY:
            cellType = CellType.PLAYER;
            break;
        case TARGET:
            cellType = CellType.PLAYER_ON_TARGET;
            break;
        default:
            return;
        }
    }

    public void minusPlayer() {
        switch (this.cellType) {
        case PLAYER:
            cellType = CellType.EMPTY;
            break;
        case PLAYER_ON_TARGET:
            cellType = CellType.TARGET;
            break;
        default:
            return;
        }
    }

    public void plusBox() {
        switch (this.cellType) {
        case EMPTY:
            cellType = CellType.BOX;
            break;
        case TARGET:
            cellType = CellType.BOX_ON_TARGET;
            break;
        default:
            return;
        }
    }

    public void minusBox() {
        switch (this.cellType) {
        case BOX:
            cellType = CellType.EMPTY;
            break;
        case BOX_ON_TARGET:
            cellType = CellType.TARGET;
            break;
        default:
            return;
        }
    }

    public String toString() {
        return Character.toString(this.cellType.SYMBOL);
    }
}
