package com.gloo.sokoban.grid;

public class Grid {
    public Cell[][] cells;
    private int rows;
    private int cols;

    public Grid(int rows, int cols) {
        this.rows = rows;
        this.cols = cols;
        this.cells = new Cell[rows][cols];
    }

    public int getRows() {
        return this.rows;
    }

    public int getCols() {
        return this.cols;
    }

    public char[][] toCharArray() {
        char[][] charArray = new char[rows][cols]; // Créer un tableau de caractères de la même taille que `cells`

        for (int i = 0; i < rows; i++) {
            for (int j = 0; j < cols; j++) {
                charArray[i][j] = cells[i][j].getCellType().SYMBOL; // Accès direct au symbole
            }
        }

        return charArray; // Retourner le tableau de caractères
    }


    public int getPlayerRow() {
        for (int i = 0; i < this.rows; i++) {
            for (int j = 0; j < this.cols; j++) {
                if (this.cells[i][j].getCellType() == CellType.PLAYER) {
                    return i;
                }
            }
        }
        return -1;
    }

    public int getPlayerCol() {
        for (int i = 0; i < this.rows; i++) {
            for (int j = 0; j < this.cols; j++) {
                if (this.cells[i][j].getCellType() == CellType.PLAYER) {
                    return j;
                }
            }
        }
        return -1;
    }

    public boolean isGameOver() {
        for (int i = 0; i < this.rows; i++) {
            for (int j = 0; j < this.cols; j++) {
                if (this.cells[i][j].getCellType() == CellType.TARGET || this.cells[i][j].getCellType() == CellType.PLAYER_ON_TARGET) {
                    return false;
                }
            }
        }
        return true;
    }

    public void print() {
        for (int i = 0; i < this.rows; i++) {
            for (int j = 0; j < this.cols; j++) {
                System.out.print(this.cells[i][j]);
            }
            System.out.println();
        }
    }
}
