package com.gloo.sokoban.xsb;

import java.nio.file.Files; // Import the Files class
import java.nio.file.NoSuchFileException;
import java.nio.file.Paths; // Import the Paths class

import com.gloo.sokoban.grid.Grid;

import java.io.IOException; // Import the IOException class

public class File {
    private String path;

    public File(String path) {
        this.path = path;
    }

    public Grid getGrid() {
        Parser parser = new Parser(read());
        return parser.parse();
    }

    private String read() {
        try {
            return Files.readString(Paths.get(path));
        } catch (NoSuchFileException e) {
            System.out.println("The XSB file " + path + " does not exist.");
            return "";
        } catch (IOException e) {
            e.printStackTrace();
            return "";
        }
    }

    public void save(Grid grid) {
        Serializer serializer = new Serializer(grid);
        write(serializer.serialize());
    }

    private void write(String content) {
        try {
            Files.write(Paths.get(path), content.getBytes());
        } catch (NoSuchFileException e) {
            System.out.println("The XSB file " + path + " does not exist.");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}